Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.gxl
Class GxlReader

    java.lang.Object
      biouml.plugins.gxl.GxlSupport
          biouml.plugins.gxl.GxlReader

All Implemented Interfaces:
  GxlConstants

Direct Known Subclasses:
  GinSimReader

public class GxlReader
extends GxlSupport

To do:
  Add support of "rel", "rel", "type", "attr" elements

Nested Class Summary
`protected class` | `GxlReader.GxlHandler` Define its descendants to have extended behavior in classes derivated from GxlReader

Field Summary
`protected Diagram` | `diagram`
`protected DataCollection` | `origin`

Fields inherited from interface biouml.plugins.gxl.GxlConstants
`ATTR_ELEM, BAG_ELEM, BOOL_ELEM, EDGE_ELEM, ENUM_ELEM, FLOAT_ELEM, FROM_ATTR, GRAPH_ELEM, GXL_ELEM, ID_ATTR, INT_ELEM, LOCATOR_ELEM, NODE_ELEM, RELATION_ELEM, RELEND_ELEM, SEQ_ELEM, SET_ELEM, STRING_ELEM, TARGET_ATTR, TO_ATTR, TUP_ELEM, TYPE_ELEM`

Constructor Summary
`GxlReader()`

Method Summary
`protected Diagram` | `createDiagram(java.lang.String name, DataCollection origin)`
`protected DiagramType` | `getDiagramType()`
`protected org.xml.sax.helpers.DefaultHandler` | `getHandler()` Returns SAX handler for given type of GXL extension document.
`protected org.apache.log4j.Category` | `initLog()`
`Diagram` | `readDiagram(java.io.File file, DataCollection origin)`

Methods inherited from class biouml.plugins.gxl.GxlSupport
`error, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diagram

    protected Diagram diagram

### origin

    protected DataCollection origin

Constructor Detail

### GxlReader

    public GxlReader()

Method Detail

### initLog

    protected org.apache.log4j.Category initLog()

  Specified by:
    `initLog` in class `GxlSupport`

### createDiagram

    protected Diagram createDiagram(java.lang.String name,
                                    DataCollection origin)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDiagramType

    protected DiagramType getDiagramType()

### readDiagram

    public Diagram readDiagram(java.io.File file,
                               DataCollection origin)

### getHandler

    protected org.xml.sax.helpers.DefaultHandler getHandler()

  Returns SAX handler for given type of GXL extension document. Override it to have extended behavior.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.